Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v2
Class AmppType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v2.BaseType
          be.fgov.ehealth.samcivics.type.v2.AmppType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:10:42+02:00",
               comments="JAXB RI v2.2.11")
    public class AmppType

extends BaseType
implements Serializable

Java class for AmppType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmppType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}BaseType">
           <sequence>
             <element name="AmppId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ContentQuantity" type="{urn:be:fgov:ehealth:samcivics:type:v2}ContentQuantityType"/>
             <element name="TreatmentDurationCatCv" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ContentMultiplier" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="TotalPackSizeValue" type="{http://www.w3.org/2001/XMLSchema}float"/>
             <element name="SocsecReimbCv" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="DistributorId" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
             <element name="InitDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="CloseDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Cheapest" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="InSupply" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Availability" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AmppType()`

Method Summary
`long` | `getAmppId()` Gets the value of the amppId property.
`org.joda.time.DateTime` | `getAvailability()` Gets the value of the availability property.
`String` | `getCheapest()` Gets the value of the cheapest property.
`org.joda.time.DateTime` | `getCloseDate()` Gets the value of the closeDate property.
`BigInteger` | `getContentMultiplier()` Gets the value of the contentMultiplier property.
`ContentQuantityType` | `getContentQuantity()` Gets the value of the contentQuantity property.
`Long` | `getDistributorId()` Gets the value of the distributorId property.
`org.joda.time.DateTime` | `getInitDate()` Gets the value of the initDate property.
`org.joda.time.DateTime` | `getInSupply()` Gets the value of the inSupply property.
`String` | `getName()` Gets the value of the name property.
`String` | `getSocsecReimbCv()` Gets the value of the socsecReimbCv property.
`float` | `getTotalPackSizeValue()` Gets the value of the totalPackSizeValue property.
`String` | `getTreatmentDurationCatCv()` Gets the value of the treatmentDurationCatCv property.
`void` | `setAmppId(long value)` Sets the value of the amppId property.
`void` | `setAvailability(org.joda.time.DateTime value)` Sets the value of the availability property.
`void` | `setCheapest(String value)` Sets the value of the cheapest property.
`void` | `setCloseDate(org.joda.time.DateTime value)` Sets the value of the closeDate property.
`void` | `setContentMultiplier(BigInteger value)` Sets the value of the contentMultiplier property.
`void` | `setContentQuantity(ContentQuantityType value)` Sets the value of the contentQuantity property.
`void` | `setDistributorId(Long value)` Sets the value of the distributorId property.
`void` | `setInitDate(org.joda.time.DateTime value)` Sets the value of the initDate property.
`void` | `setInSupply(org.joda.time.DateTime value)` Sets the value of the inSupply property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setSocsecReimbCv(String value)` Sets the value of the socsecReimbCv property.
`void` | `setTotalPackSizeValue(float value)` Sets the value of the totalPackSizeValue property.
`void` | `setTreatmentDurationCatCv(String value)` Sets the value of the treatmentDurationCatCv property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmppType

    public AmppType()

Method Detail

### getAmppId

    public long getAmppId()

  Gets the value of the amppId property.

### setAmppId

    public void setAmppId(long value)

  Sets the value of the amppId property.

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getContentQuantity

    public ContentQuantityType getContentQuantity()

  Gets the value of the contentQuantity property.

  Returns:
    possible object is `ContentQuantityType`

### setContentQuantity

    public void setContentQuantity(ContentQuantityType value)

  Sets the value of the contentQuantity property.

  Parameters:
    `value` - allowed object is `ContentQuantityType`

### getTreatmentDurationCatCv

    public String getTreatmentDurationCatCv()

  Gets the value of the treatmentDurationCatCv property.

  Returns:
    possible object is `String`

### setTreatmentDurationCatCv

    public void setTreatmentDurationCatCv(String value)

  Sets the value of the treatmentDurationCatCv property.

  Parameters:
    `value` - allowed object is `String`

### getContentMultiplier

    public BigInteger getContentMultiplier()

  Gets the value of the contentMultiplier property.

  Returns:
    possible object is `BigInteger`

### setContentMultiplier

    public void setContentMultiplier(BigInteger value)

  Sets the value of the contentMultiplier property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getTotalPackSizeValue

    public float getTotalPackSizeValue()

  Gets the value of the totalPackSizeValue property.

### setTotalPackSizeValue

    public void setTotalPackSizeValue(float value)

  Sets the value of the totalPackSizeValue property.

### getSocsecReimbCv

    public String getSocsecReimbCv()

  Gets the value of the socsecReimbCv property.

  Returns:
    possible object is `String`

### setSocsecReimbCv

    public void setSocsecReimbCv(String value)

  Sets the value of the socsecReimbCv property.

  Parameters:
    `value` - allowed object is `String`

### getDistributorId

    public Long getDistributorId()

  Gets the value of the distributorId property.

  Returns:
    possible object is `Long`

### setDistributorId

    public void setDistributorId(Long value)

  Sets the value of the distributorId property.

  Parameters:
    `value` - allowed object is `Long`

### getInitDate

    public org.joda.time.DateTime getInitDate()

  Gets the value of the initDate property.

  Returns:
    possible object is `String`

### setInitDate

    public void setInitDate(org.joda.time.DateTime value)

  Sets the value of the initDate property.

  Parameters:
    `value` - allowed object is `String`

### getCloseDate

    public org.joda.time.DateTime getCloseDate()

  Gets the value of the closeDate property.

  Returns:
    possible object is `String`

### setCloseDate

    public void setCloseDate(org.joda.time.DateTime value)

  Sets the value of the closeDate property.

  Parameters:
    `value` - allowed object is `String`

### getCheapest

    public String getCheapest()

  Gets the value of the cheapest property.

  Returns:
    possible object is `String`

### setCheapest

    public void setCheapest(String value)

  Sets the value of the cheapest property.

  Parameters:
    `value` - allowed object is `String`

### getInSupply

    public org.joda.time.DateTime getInSupply()

  Gets the value of the inSupply property.

  Returns:
    possible object is `String`

### setInSupply

    public void setInSupply(org.joda.time.DateTime value)

  Sets the value of the inSupply property.

  Parameters:
    `value` - allowed object is `String`

### getAvailability

    public org.joda.time.DateTime getAvailability()

  Gets the value of the availability property.

  Returns:
    possible object is `String`

### setAvailability

    public void setAvailability(org.joda.time.DateTime value)

  Sets the value of the availability property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.